## exim4 4.90.1

=== Makefile ===
# Top-level makefile for Exim; handles creating a build directory with
# appropriate links, and then creating and running the main makefile in that
# directory.

# Copyright (c) University of Cambridge, 1995 - 2017
# See the file NOTICE for conditions of use and distribution.

# IRIX make uses the shell that is in the SHELL variable, which often defaults
# to csh, so put this in to make it use the Bourne shell. In systems where
# /bin/sh is not a Bourne-compatible shell, this line will have to be edited,
# or "make" must be called with a different SHELL= setting.

SHELL=/bin/sh
RM_COMMAND=/bin/rm

# If a build name has not been specified by running this make file via a
# command of the form "make build=xxxx", then determine the name of the
# operating system and the machine architecture and use that. This does not
# provide an override for the OS type and architecture type; they still have
# to be used for the OS-specific files. To override them, you can set the
# shell variables OSTYPE and ARCHTYPE when running make.
#
# EXIM_BUILD_SUFFIX should be used to enable parallel builds on a file
# system shared among different Linux distros (same os-type, same
# arch-type). The ../test/runtest script is expected to honour the
# EXIM_BUILD_SUFFIX when searching the Exim binary.
# NOTE: EXIM_BUILD_SUFFIX is considered *experimental*.

buildname=$${build:-`$(SHELL) scripts/os-type`-`$(SHELL) scripts/arch-type`}$${EXIM_BUILD_SUFFIX:+.$$EXIM_BUILD_SUFFIX}

# The default target checks for the existence of Local/Makefile, that the main
# makefile is built and up-to-date, and then it runs it.

all: Local/Makefile configure
	@cd build-$(buildname); $(MAKE) SHELL=$(SHELL) $(MFLAGS)


# This pair for the convenience of of the Debian maintainers
exim: Local/Makefile configure
	@cd build-$(buildname); $(MAKE) SHELL=$(SHELL) $(MFLAGS) exim
utils: Local/Makefile configure
	@cd build-$(buildname); $(MAKE) SHELL=$(SHELL) $(MFLAGS) utils


Local/Makefile:
	@echo ""
	@echo "*** Please create Local/Makefile by copying src/EDITME and making"
	@echo "*** appropriate changes for your site."
	@echo ""
	@test ! -d Local && mkdir Local
	@false

# This is separated off so that "make build-directory" can be obeyed on
# its own if necessary.

build-directory:
	@builddir=build-$(buildname); \
	case "$$builddir" in *UnKnown*) exit 1;; esac; \
	$(SHELL) -c "test -d $$builddir -a -r $$builddir/version.c || \
	  (mkdir $$builddir; cd $$builddir; $(SHELL) ../scripts/MakeLinks)";

checks:
	$(SHELL) scripts/source_checks

# The "configure" target ensures that the build directory exists, then arranges
# to build the main makefile from inside the build directory, by calling the
# Configure-Makefile script. This does its own dependency checking because of
# the optional files.

configure: checks build-directory
	@cd build-$(buildname); \
	  build=$(build) $(SHELL) ../scripts/Configure-Makefile

# The "makefile" target forces a rebuild of the makefile (as opposed to
# "configure", which doesn't force it).

makefile: build-directory
	@cd build-$(buildname); $(RM_COMMAND) -f Makefile; \
	  build=$(build) $(SHELL) ../scripts/Configure-Makefile

# The installation commands are kept in a separate script, which expects
# to be run from inside the build directory.

install:        all
		@cd build-$(buildname); \
		build=$(build) $(SHELL) ../scripts/exim_install $(INSTALL_ARG)

# Tidy-up targets

clean:; @echo ""; echo '*** "make clean" just removes all .o and .a files'
	@echo '*** Use "make makefile" to force a rebuild of the makefile'
	@echo ""
	cd build-$(buildname); \
	$(RM_COMMAND) -f *.o lookups/*.o lookups/*.a auths/*.o auths/*.a \
	routers/*.o routers/*.a transports/*.o transports/*.a \
	pdkim/*.o pdkim/*.a

clean_exim:; cd build-$(buildname); \
	 $(RM_COMMAND) -f *.o lookups/*.o lookups/*.a auths/*.o auths/*.a \
	routers/*.o routers/*.a transports/*.o transports/*.a lookups/*.so

distclean:; $(RM_COMMAND) -rf build-* cscope*

cscope.files: FRC
	echo "-q" > $@
	echo "-p3" >> $@
	find src Local OS exim_monitor -name "*.[cshyl]" -print \
		    -o -name "os.[ch]*" -print \
		    -o -name "*akefile*" -print \
		    -o -name config.h.defaults -print \
		    -o -name EDITME -print >> $@

FRC:

# End of top-level makefile

=== src/auths/Makefile ===
# Make file for building a library containing all the available authorization
# methods, and calling it auths.a. In addition, there are functions that are
# of general use in several methods; these are in separate modules so they are
# linked in only when needed. This Makefile is called from the main make file,
# after cd'ing to the auths subdirectory. When the relevant AUTH_ macros are
# defined, the equivalent modules herein is not included in the final binary.

OBJ = auth-spa.o call_pam.o call_pwcheck.o \
      call_radius.o check_serv_cond.o cram_md5.o cyrus_sasl.o dovecot.o \
      get_data.o get_no64_data.o gsasl_exim.o heimdal_gssapi.o \
      md5.o plaintext.o pwcheck.o \
      spa.o tls.o xtextdecode.o xtextencode.o

auths.a:         $(OBJ)
		 @$(RM_COMMAND) -f auths.a
		 @echo "$(AR) auths.a"
		 $(FE)$(AR) auths.a $(OBJ)
		 $(RANLIB) $@

.SUFFIXES:       .o .c
.c.o:;           @echo "$(CC) $*.c"
		 $(FE)$(CC) -c $(CFLAGS) $(INCLUDE) $*.c

auth-spa.o:         $(HDRS) auth-spa.c
call_pam.o:         $(HDRS) call_pam.c
call_pwcheck.o:     $(HDRS) call_pwcheck.c pwcheck.h
call_radius.o:      $(HDRS) call_radius.c
check_serv_cond.o:  $(HDRS) check_serv_cond.c
get_data.o:         $(HDRS) get_data.c
get_no64_data.o:    $(HDRS) get_no64_data.c
md5.o:              $(HDRS) md5.c
pwcheck.o:          $(HDRS) pwcheck.c pwcheck.h
xtextdecode.o:      $(HDRS) xtextdecode.c
xtextencode.o:      $(HDRS) xtextencode.c

cram_md5.o:         $(HDRS) cram_md5.c cram_md5.h
cyrus_sasl.o:       $(HDRS) cyrus_sasl.c cyrus_sasl.h
dovecot.o:          $(HDRS) dovecot.c dovecot.h
gsasl_exim.o:       $(HDRS) gsasl_exim.c gsasl_exim.h
heimdal_gssapi.o:   $(HDRS) heimdal_gssapi.c heimdal_gssapi.h
plaintext.o:        $(HDRS) plaintext.c plaintext.h
spa.o:              $(HDRS) spa.c spa.h
tls.o:              $(HDRS) tls.c tls.h

# End

=== src/lookups/Makefile ===
# Make file for building Exim's lookup modules.
# This is called from the main make file, after cd'ing
# to the lookups subdirectory.

# nb: at build time, the version of this file used will have had some
#     extra variable definitions and prepended to it and module build rules
#     interpolated below.

# MAGIC-TAG-MODS-OBJ-RULES-GO-HERE


all:             lookups.a lf_quote.o lf_check_file.o lf_sqlperform.o $(MODS)

lookups.a:       $(OBJ)
		 @$(RM_COMMAND) -f lookups.a
		 @echo "$(AR) lookups.a"
		 @$(AR) lookups.a $(OBJ)
		 $(RANLIB) $@

.SUFFIXES:       .o .c .so
.c.o:;           @echo "$(CC) $*.c"
		 $(FE)$(CC) -c $(CFLAGS) $(INCLUDE) $*.c

.c.so:;          @echo "$(CC) -shared $*.c"
		 $(FE)$(CC) $(LOOKUP_$*_INCLUDE) $(LOOKUP_$*_LIBS) -DDYNLOOKUP $(CFLAGS_DYNAMIC) $(CFLAGS) $(INCLUDE) $(DLFLAGS) $*.c -o $@

lf_check_file.o: $(PHDRS) lf_check_file.c  lf_functions.h
lf_quote.o:      $(PHDRS) lf_quote.c       lf_functions.h
lf_sqlperform.o: $(PHDRS) lf_sqlperform.c  lf_functions.h

cdb.o:           $(PHDRS) cdb.c
dbmdb.o:         $(PHDRS) dbmdb.c
dnsdb.o:         $(PHDRS) dnsdb.c
dsearch.o:       $(PHDRS) dsearch.c
ibase.o:         $(PHDRS) ibase.c
ldap.o:          $(PHDRS) ldap.c
lmdb.o:          $(PHDRS) lmdb.c
lsearch.o:       $(PHDRS) lsearch.c
mysql.o:         $(PHDRS) mysql.c
nis.o:           $(PHDRS) nis.c
nisplus.o:       $(PHDRS) nisplus.c
oracle.o:        $(PHDRS) oracle.c
passwd.o:        $(PHDRS) passwd.c
pgsql.o:         $(PHDRS) pgsql.c
redis.o:         $(PHDRS) redis.c
spf.o:           $(PHDRS) spf.c
sqlite.o:        $(PHDRS) sqlite.c
testdb.o:        $(PHDRS) testdb.c
whoson.o:        $(PHDRS) whoson.c

cdb.so:           $(PHDRS) cdb.c
dbmdb.so:         $(PHDRS) dbmdb.c
dnsdb.so:         $(PHDRS) dnsdb.c
dsearch.so:       $(PHDRS) dsearch.c
ibase.so:         $(PHDRS) ibase.c
ldap.so:          $(PHDRS) ldap.c
lmdb.so:          $(PHDRS) lmdb.c
lsearch.so:       $(PHDRS) lsearch.c
mysql.so:         $(PHDRS) mysql.c
nis.so:           $(PHDRS) nis.c
nisplus.so:       $(PHDRS) nisplus.c
oracle.so:        $(PHDRS) oracle.c
passwd.so:        $(PHDRS) passwd.c
pgsql.so:         $(PHDRS) pgsql.c
redis.so:         $(PHDRS) redis.c
spf.so:           $(PHDRS) spf.c
sqlite.so:        $(PHDRS) sqlite.c
testdb.so:        $(PHDRS) testdb.c
whoson.so:        $(PHDRS) whoson.c

# End

=== src/pdkim/Makefile ===
# Make file for building the pdkim library.
# Copyright (c) The Exim Maintainers 2017

OBJ = pdkim.o signing.o

pdkim.a:         $(OBJ)
		 @$(RM_COMMAND) -f pdkim.a
		 @echo "$(AR) pdkim.a"
		 $(FE)$(AR) pdkim.a $(OBJ)
		 $(RANLIB) $@

.SUFFIXES:       .o .c
.c.o:;           @echo "$(CC) $*.c"
		 $(FE)$(CC) -c $(CFLAGS) $(INCLUDE) -I. $*.c

pdkim.o: $(HDRS) crypt_ver.h pdkim.h pdkim.c
signing.o: $(HDRS) crypt_ver.h signing.h signing.c

# End

=== debian/changelog ===
exim4 (4.90.1-1ubuntu1) bionic; urgency=medium

  * Merge from Debian testing, Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      - Build-Depends on lsb-release to detect Distribution.
      - d/p/fix_smtp_banner.patch: Show Ubuntu distribution in SMTP banner.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 14 Feb 2018 17:01:14 +0100

exim4 (4.90.1-1) unstable; urgency=high

  * New upstream version, fixing CVE-2018-6789. Closes: #890000
    + Drop 75_*.patch.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 Feb 2018 13:45:40 +0100

exim4 (4.90-7) unstable; urgency=medium

  * Update from exim-4_90+fixes branch. (exim-4.90.0.27)
    + 75_21-DKIM-fix-buffer-overflow-in-verify.patch
    + 75_22-Repair-Heimdal-GSSAPI-authenticator-init.patch
    + 75_23-Repair-Heimdal-GSSAPI-authenticator-init-part-2.patch
  * Typo fixes in old patch descriptions. (Thanks, lintian!)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 Feb 2018 13:13:37 +0100

exim4 (4.90-6) unstable; urgency=medium

  * Update from exim-4_90+fixes branch.
    + 75_17-Cutthrough-fix-for-port-number-defined-by-router.-Bu.patch
    + 75_18-GnuTLS-fix-to-ignore-timeout-on-unrelated-callout-co.patch
      Closes: #887489
    + 75_19-Build-.git-may-be-a-file-when-this-repo-is-a-submodu.patch
    + 75_20-Debugging-fix-potential-null-derefs-in-DSN-debug_pri.patch

 -- Andreas Metzler <ametzler@debian.org>  Wed, 07 Feb 2018 19:37:03 +0100

exim4 (4.90-5) unstable; urgency=low

  * Add 75_16-Cutthrough-fix-multi-message-initiating-connections.patch from
    exim-4_90+fixes branch.
  * Improved exim4-daemon-custom documentation by Gedalya. Closes: #887971
  * [update-exim4.conf] stop converting variables set to an empty value in
    /etc/exim4/update-exim4.conf.conf to exim macros with a literal value of
    "empty" in the generated configuration. Thanks, Gedalya. Closes: #887972

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Jan 2018 17:00:42 +0100

exim4 (4.90-4) unstable; urgency=low

  * Update from exim-4_90+fixes branch.
    75_13-Lookups-fix-mysql-lookup-returns-for-no-data-queries.patch
    75_14-Fix-D-string-expansion-to-not-use-millisec.patch
    75_15-DKIM-DNS-records-having-no-v-tag-are-acceptable.-Bug.patch

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Jan 2018 08:00:45 +0100

exim4 (4.90-3) unstable; urgency=medium

  * Three more patches from exim-4_90+fixes branch:
    75_10-Fix-issue-with-continued-connections-when-the-DNS-sh.patch
    75_11-MIME-ACL-fix-SMTP-response-for-non-accept-result-of-.patch
    75_12-DKIM-permit-dkim_private_key-to-override-dkim_strict.patch

 -- Andreas Metzler <ametzler@debian.org>  Mon, 08 Jan 2018 18:55:28 +0100

exim4 (4.90-2) unstable; urgency=medium

  * Update to exim-4_90+fixes branch:
    + Replace 75_Lookups-fix-pgsql-multiple-row-single-column-return.patch.
    + 75_01-TLS-Fix-excessive-calling-of-smtp_auth_acl-under-AUT.patch
    + 75_02-TLS-avoid-calling-smtp_auth_acl-on-client-cert-when-.patch
    + 75_03-Debug-fix-coding-in-dnssec-reporting.-Bug-2205.patch
    + 75_04-DKIM-Ignore-non-DKIM-TXT-records-in-DNS-response.-Bu.patch
    + 75_05-Fix-build-of-nisplus-lookup.patch
    + 75_06-Fix-const-issue-in-nisplus-lookup.patch
    + 75_08-DKIM-tighter-checking-while-parsing-signature-header.patch
    + 75_09-Fix-crash-associated-with-dnsdb-lookup-done-from-DKI.patch

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Dec 2017 15:43:52 +0100

exim4 (4.90-1) unstable; urgency=low

  * rc4 released as 4.90.
  * Point watchfile to release directory again.
  * 75_Lookups-fix-pgsql-multiple-row-single-column-return.patch from upstream
    GIT master branch. Fix pgsql lookup for multiple result-tuples with a
    single column. Previously only the last row was returned.
    https://lists.exim.org/lurker/message/20171223.102237.a53dd5bd.en.html
  * Simplify debian/rules and make it usable with dh v10 compat. The
    fine-grained support for selecting the to be built packages (-custom with
    or without -base) was dropped. The build process is now controlled by
    attaching tasks to dh-override hooks instead of using file dependencies,
    makefile-style.  The latter broke with dh v10 due to upstream's
    build-system which always has the main targets out-of-date inter alia due
    to the compile-number feature.
  * Use hardening=+all instead of hardening=+bindnow,+pie. (Does not change
    buildflags ATM.)
  * Use debhelper v10 compat.
  * Drop override_dh_strip-arch, we have had enough toolchain and
    source changes to prevent file conflicts.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 28 Dec 2017 13:42:23 +0100

exim4 (4.90~RC4-1) unstable; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 14 Dec 2017 18:11:40 +0100

exim4 (4.89-9ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable, Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      - Build-Depends on lsb-release to detect Distribution.
      - d/p/fix_smtp_banner.patch: Show Ubuntu distribution in SMTP banner.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 16 Nov 2017 10:02:23 +0100

exim4 (4.89-5ubuntu1) artful; urgency=medium

  * Merge from Debian testing.
    Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      - Build-Depends on lsb-release to detect Distribution.
      - d/p/fix_smtp_banner.patch: Show Ubuntu distribution in SMTP banner.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 16 Aug 2017 15:42:47 +0200

=== debian/control ===
Source: exim4
Section: mail
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>,Marc Haber <mh+debian-packages@zugschlus.de>
Homepage: https://www.exim.org/
Standards-Version: 4.1.3
Vcs-Git: https://anonscm.debian.org/git/pkg-exim4/exim4.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-exim4/exim4.git
Build-Depends: debhelper (>= 10), po-debconf, docbook-xsl, xsltproc,
  lynx, docbook-xml, libpcre3-dev, libldap2-dev, libpam0g-dev,
  libident-dev, libdb5.3-dev, libxmu-dev, libxt-dev, libxext-dev, libx11-dev,
  libxaw7-dev, libpq-dev, default-libmysqlclient-dev,
  libsqlite3-dev, libperl-dev, libgnutls28-dev, libsasl2-dev, lsb-release

Package: exim4-base
Architecture: any
Priority: optional
Breaks: exim4-daemon-light (<<${Upstream-Version}),
 exim4-daemon-heavy (<<${Upstream-Version}),
 exim4-daemon-custom (<<${Upstream-Version})
Conflicts: exim, exim-tls
Replaces: exim, exim-tls, exim4-daemon-light, exim4-daemon-heavy, exim4-daemon-custom
Depends: ${shlibs:Depends}, ${misc:Depends},
 cron | cron-daemon | anacron,
 exim4-config (>=4.82) | exim4-config-2, adduser, netbase, lsb-base (>= 3.0-6)
# psmisc just for exiwhat.
Recommends: psmisc, mailx
Suggests: mail-reader, eximon4, exim4-doc-html|exim4-doc-info,
 gnutls-bin | openssl, file, spf-tools-perl, swaks
Description: support files for all Exim MTA (v4) packages
 Exim (v4) is a mail transport agent. exim4-base provides the support
 files needed by all exim4 daemon packages. You need an additional package
 containing the main executable. The available packages are:
 .
  exim4-daemon-light
  exim4-daemon-heavy
 .
 If you build exim4 from the source package locally, you can also
 build an exim4-daemon-custom package tailored to your own feature set.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-config
Architecture: all
Priority: optional
Breaks: exim4-daemon-light (<< 4.87~RC5), exim4-daemon-heavy (<< 4.87~RC5)
Provides: exim4-config-2
Conflicts: exim, exim-tls, exim4-config, exim4-config-2, ${MTA-Conflicts}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: configuration for the Exim MTA (v4)
 Exim (v4) is a mail transport agent. exim4-config provides the configuration
 for the exim4 daemon packages. The configuration framework has been split
 off the main package to allow sites to replace the configuration scheme
 with their own without having to change the actual exim4 packages.
 .
 Sites with special configuration needs (having a lot of identically
 configured machines for example) can use this to distribute their own
 custom configuration via the packaging system, using the magic
 available with dpkg's conffile handling, without having to do local
 changes on all of these machines.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-light
Architecture: any
Priority: optional
Provides: mail-transport-agent, exim4-localscanapi-2.0,
 ${dist:Provides:exim4-daemon-light}
Conflicts: mail-transport-agent
Replaces: mail-transport-agent, exim4-base (<= 4.61-1)
Depends: exim4-base (>= ${Upstream-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: lightweight Exim MTA (v4) daemon
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with only basic features enabled. It works well with the
 standard setups that are provided by Debian and includes support for
 TLS encryption and the dlopen patch to allow dynamic loading of a
 local_scan function.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4
Architecture: all
Priority: optional
Depends: ${misc:Depends}, debconf (>= 1.4.69) | cdebconf (>= 0.39),
 exim4-base (>= ${source:Version}),
 exim4-base (<< ${source:Version}.1),
 exim4-daemon-light | exim4-daemon-heavy | exim4-daemon-custom
Description: metapackage to ease Exim MTA (v4) installation
 Exim (v4) is a mail transport agent. exim4 is the metapackage depending
 on the essential components for a basic exim4 installation.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-heavy
Architecture: any
Priority: optional
Provides: mail-transport-agent, exim4-localscanapi-2.0
Conflicts: mail-transport-agent
Replaces: mail-transport-agent, exim4-base (<= 4.61-1)
Depends: exim4-base (>= ${Upstream-Version}), ${shlibs:Depends},
 ${misc:Depends}
Breaks: clamav-daemon (<< 0.95)
Description: Exim MTA (v4) daemon with extended features, including exiscan-acl
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with extended features. In addition to the features already
 supported by exim4-daemon-light, exim4-daemon-heavy includes LDAP,
 sqlite, PostgreSQL and MySQL data lookups, SASL and SPA SMTP authentication,
 embedded Perl interpreter, and the content scanning extension
 (formerly known as "exiscan-acl") for integration of virus scanners
 and spamassassin.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

#Package: exim4-daemon-custom
#Architecture: any
#Priority: optional
#Provides: mail-transport-agent, exim4-localscanapi-2.0
#Conflicts: mail-transport-agent
#Replaces: mail-transport-agent, exim4-base (<= 4.61-1)
#Depends: exim4-base (>= ${Upstream-Version}), ${shlibs:Depends}, ${misc:Depends}
#Description: custom Exim MTA (v4) daemon with locally set features
# Exim (v4) is a mail transport agent. This package contains a
# custom-configured exim4 daemon compiled to local needs. This package
# is not part of official Debian, but can easily be built from the
# Debian source package. For information about the feature set compiled in,
# and for bug reports, please find out who built your package.
# .
# The Debian exim4 packages have their own web page,
# http://wiki.debian.org/PkgExim4. There is also a Debian-specific
# FAQ list. Information about the way the Debian packages are
# configured can be found in
# /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
# information about the way the Debian binary packages are built. The
# very extensive upstream documentation is shipped in
# /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
# configuration process in a standard setup, invoke dpkg-reconfigure
# exim4-config. There is a Debian-centered mailing list,
# pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
# questions there, and only write to the upstream exim-users mailing
# list if you are sure that your question is not Debian-specific. You
# can find the subscription web page on
# http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: eximon4
Architecture: any
Priority: optional
Conflicts: eximon
Replaces: eximon
Depends: ${shlibs:Depends}, ${misc:Depends}, exim4-base (>= 4.10)
Description: monitor application for the Exim MTA (v4) (X11 interface)
 Eximon is a helper program for the Exim MTA (v4). It allows
 administrators to view the mail queue and logs, and perform a variety
 of actions on queued messages, such as freezing, bouncing and thawing
 messages.

Package: exim4-dev
Architecture: any
Priority: optional
Depends: ${misc:Depends}
Description: header files for the Exim MTA (v4) packages
 Exim (v4) is a mail transport agent. This package contains header
 files that can be used to compile code that is then dynamically linked
 to exim's local_scan interface.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for exim4
# This file is public domain software, originally written by Joey Hess.
#
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

buildname := $(shell scripts/os-type)-$(shell scripts/arch-type)
DEBIAN := $(shell pwd)/debian

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk
# SOURCE_DATE_EPOCH is exported by pkg-info.mk since dpkg 1.18.8/July 2016
# fall back to current date otherwise.
SOURCE_DATE_EPOCH ?= $(shell date '+%s')


# The build system ignores CPPFLAGS, append them to CFLAGS
CFLAGS += $(shell getconf LFS_CFLAGS) -D_LARGEFILE_SOURCE \
	  -fno-strict-aliasing -Wall $(CPPFLAGS)
export CFLAGS
# LFLAGS is used where GNU would use LDFLAGS
export LFLAGS = $(LDFLAGS)

LC_ALL=C
export LC_ALL

# If you want to build a daemon with a configuration tailored to YOUR special
# needs, uncomment the exim4-daemon-custom package in debian/control,
# call "debian/rules unpack-configs", copy EDITME.exim4-light to
# EDITME.exim4-custom and modify it, then call "debian/rules pack-configs".
#
# Afterwards EITHER uncomment the customdaemon definition below, or set it
# to the desired value via the environment.
# e.g run:
# env customdaemon=exim4-daemon-custom dpkg-buildpackage -uc -us
#
# If you want to create multiple custom packages with different names, use
# the script debian/create-custom-package [suffix].

# customdaemon = exim4-daemon-custom
daemons = exim4-daemon-light exim4-daemon-heavy $(customdaemon)

# If you want to build with OpenSSL instead of GnuTLS, uncomment this
# OPENSSL:=1
# Please note that building exim4-daemon-heavy with OpenSSL is a GPL
# violation.

PROVIDE_DEFAULT_MTA := $(shell if dpkg-vendor --is Ubuntu || \
	dpkg-vendor --derives-from Ubuntu ; then : ; else \
	echo "default-mta" ; fi)
# for reproducible build. If set exim would use $TZ as default value for
# TIMEZONE_DEFAULT
undefine TZ
unexport TZ


unpack-configs: unpack-configs-stamp

unpack-configs-stamp: src/EDITME exim_monitor/EDITME
	patch -o EDITME.eximon exim_monitor/EDITME \
		$(DEBIAN)/EDITME.eximon.diff
	patch -o EDITME.exim4-light src/EDITME \
		$(DEBIAN)/EDITME.exim4-light.diff
ifdef OPENSSL
	patch EDITME.exim4-light $(DEBIAN)/EDITME.openssl.exim4-light.diff
endif
	for editme in $(DEBIAN)/EDITME.exim4-*.diff; do \
	  if [ "$$editme" != "$(DEBIAN)/EDITME.exim4-light.diff" ]; then \
	    TARGETNAME=`basename $$editme .diff`; \
	    echo patch -o $$TARGETNAME EDITME.exim4-light $$editme; \
	    patch -o $$TARGETNAME EDITME.exim4-light $$editme || \
	    exit $$? ;\
	  fi; \
	done
	touch unpack-configs-stamp

pack-configs:
	-diff -u src/EDITME EDITME.exim4-light \
		> $(DEBIAN)/EDITME.exim4-light.diff
	-for editme in EDITME.exim4-*; do \
	  if [ "$$editme" != "EDITME.exim4-light" ]; then \
	    echo diff -u EDITME.exim4-light $$editme; \
	    diff -u EDITME.exim4-light $$editme > $(DEBIAN)/$${editme}.diff; \
	  fi; \
	done
	-diff -u exim_monitor/EDITME EDITME.eximon \
		> $(DEBIAN)/EDITME.eximon.diff

bdir-stamp: unpack-configs-stamp
	for i in $(daemons) ; do \
		mkdir b-$$i && \
		find . -mindepth 1 -maxdepth 1 \
		-name debian -prune -o \
		-name 'b-*' -o -print0 | \
		xargs --no-run-if-empty --null \
		cp -a --target-directory=b-$$i ; \
	done
	touch $@

override_dh_auto_configure: unpack-configs-stamp bdir-stamp
	for i in $(daemons) ; do \
		mkdir -p b-$$i/Local && \
		cp EDITME.`echo $$i | sed -e s/exim4-daemon/exim4/` \
		b-$$i/Local/Makefile && \
		cp EDITME.eximon b-$$i/Local/eximon.conf ;\
		done

override_dh_auto_build:
	for i in $(daemons) ; do \
		echo building $$i; \
		cd $(CURDIR)/b-$$i && \
		$(MAKE) FULLECHO='' ; \
		done
	# Which version of Berkeley DB are we building against?
	printf '#include <db.h>\ninstdbversionis DB_VERSION_MAJOR DB_VERSION_MINOR\n' | \
		cpp -P | grep instdbversionis |\
		sed -e 's/[[:space:]]*instdbversionis[[:space:]]//' \
		-e 's/[[:space:]][[:space:]]*/./' \
		-e 's_^_s/^BDBVERSION=.*/BDBVERSION=_' \
		-e 's_$$_/_' \
		> $(DEBIAN)/berkeleydb.sed
	# Store Berkeley DB version in postinst script.
	sed -i -f $(DEBIAN)/berkeleydb.sed \
		$(DEBIAN)/exim4-base.postinst
	# symlink identical maintainerscripts
	for i in `echo $(daemons) | sed -e s/exim4-daemon-light//` ; do \
		ln -sfv exim4-daemon-light.prerm \
			"$(DEBIAN)/$$i.prerm" ; \
		ln -sfv exim4-daemon-light.postinst \
			"$(DEBIAN)/$$i.postinst" ; \
	done

override_dh_auto_install-arch: debian/README.Debian
	cd b-exim4-daemon-light && \
	  $(MAKE) install FULLECHO='' \
		INSTALL_ARG=-no_symlink \
		inst_conf=$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf \
		inst_aliases=$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/aliases \
		inst_dest=$(DEBIAN)/exim4-base/usr/sbin
	if [ -e "$(DEBIAN)/example.conf.md5" ] && [ "$$(< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum)" != "$$(cat $(DEBIAN)/example.conf.md5)" ] ; then \
	  echo "upstream example configuration has changed, new md5sum:"; \
	  < $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum; \
	  echo "aborting build."; \
	  exit 1; \
	fi
	< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum > $(DEBIAN)/example.conf.md5
	sed -e 's,/[a-zA-Z/0-9.-]*exim4-base/examples/,/etc/,' \
		< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf \
		> $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf.tmp
	mv $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf.tmp \
		$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf
	install -m755 b-exim4-daemon-light/build-$(buildname)/convert4r4 \
		$(DEBIAN)/exim4-base/usr/sbin/exim_convert4r4
	install -m755 \
		b-exim4-daemon-light/build-$(buildname)/transport-filter.pl \
		b-exim4-daemon-light/util/ratelimit.pl \
		$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples
	rm $(DEBIAN)/exim4-base/usr/sbin/exim
	mv $(DEBIAN)/exim4-base/usr/sbin/eximon \
		$(DEBIAN)/eximon4/usr/sbin
	mv $(DEBIAN)/exim4-base/usr/sbin/eximon.bin \
		$(DEBIAN)/eximon4/usr/lib/exim4
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/exim4-base/usr/sbin/exipick \
		$(DEBIAN)/exim4-base/usr/share/man/man8/exipick.8
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/exim4-base/usr/sbin/eximstats \
		$(DEBIAN)/exim4-base/usr/share/man/man8/eximstats.8
	install -m755 $(DEBIAN)/syslog2eximlog $(DEBIAN)/exim4-base/usr/sbin/
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/syslog2eximlog \
		$(DEBIAN)/exim4-base/usr/share/man/man8/syslog2eximlog.8
	for i in b-exim4-daemon-*/build-$(buildname)/exim ; do \
		install -m4755 -oroot -groot $$i \
		$(DEBIAN)/`echo $$i | sed -e 's/^b-//' -e 's_/.*__'`/usr/sbin/exim4 ; \
		done

override_dh_auto_install-indep: debian/README.Debian
	# if you change anything here, you will have to change
	# config-custom/debian/rules as well
	sed -e \
	"s/^UPEX4C_version=\"\"/UPEX4C_version=\"$(DEB_VERSION)\"/" \
	< $(DEBIAN)/debconf/update-exim4.conf \
	> $(DEBIAN)/exim4-config/usr/sbin/update-exim4.conf
	chmod 755 $(DEBIAN)/exim4-config/usr/sbin/update-exim4.conf
	install -m 755 $(DEBIAN)/update-exim4defaults \
		$(DEBIAN)/exim4-config/usr/sbin

	cd $(DEBIAN)/debconf/conf.d && \
		tar cf - `find \( -path '*/.svn/*' -prune \) -or \
		\( -type f -print \)` | \
		{ cd $(DEBIAN)/exim4-config/etc/exim4/conf.d/ && \
		tar xf - ; }

	install -m644 $(DEBIAN)/email-addresses $(DEBIAN)/exim4-config/etc/
	install -m640 -oroot -groot $(DEBIAN)/passwd.client \
		$(DEBIAN)/exim4-config/etc/exim4/
	chmod 755 $(DEBIAN)/debconf/update-exim4.conf.template
	env CONFDIR=$(DEBIAN)/debconf \
		$(DEBIAN)/debconf/update-exim4.conf.template --nobackup --run

# only called manually by maintainer before upload.
update-mtaconflicts:
	which grep-aptavail > /dev/null && \
		grep-aptavail --show-field=Package --field=Provides \
		mail-transport-agent --no-field-names \
		| grep -v exim | sort -u | \

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/_/~/ \
https://ftp.exim.org/pub/exim/exim4/exim-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## exim4 4.90.1-1ubuntu1.5%2B9.0trisquel1

=== debian/changelog ===
exim4 (4.90.1-1ubuntu1.5+9.0trisquel1) etiona-security; urgency=medium

  * Corrects event management

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 04 Jun 2020 15:12:37 +0000

exim4 (4.90.1-1ubuntu1.5) bionic-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds read
    - debian/patches/CVE-2020-12783-*.patch: fix SPA
      authenticator, checking client-supplied data before using it
      in src/auths/spa.c, src/auths/spa-spa.c.
    - CVE-2020-12783

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 14 May 2020 10:10:01 -0300

exim4 (4.90.1-1ubuntu1.4) bionic-security; urgency=medium

  * SECURITY UPDATE: remote command execution
    - debian/patches/CVE-2019-15846.patch: ensure not to interpret '\\'
      before '\0' in src/string.c
    - CVE-2019-15846

 -- Alex Murray <alex.murray@canonical.com>  Wed, 04 Sep 2019 21:14:01 +0930

exim4 (4.90.1-1ubuntu1.3) bionic-security; urgency=medium

  * SECURITY UPDATE: code execution via ${sort }
    - debian/patches/CVE-2019-13917.patch: avoid re-expansion in ${sort }
      in src/expand.c.
    - CVE-2019-13917

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 19 Jul 2019 07:13:51 -0400

exim4 (4.90.1-1ubuntu1.2) bionic-security; urgency=medium

  * SECURITY UPDATE: remote command execution
    - debian/patches/CVE-2019-10149.patch: fix parsing logic in
      src/deliver.c.
    - CVE-2019-10149

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 04 Jun 2019 14:44:51 -0400

exim4 (4.90.1-1ubuntu1.1) bionic; urgency=medium

  * d/p/eximstats_unitialized_value.patch: Fix uninitialized value error in
    eximstats. (LP: #1786508)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 10 Oct 2018 15:25:04 -0300

## exim4 4.90.1-1ubuntu1.5+8.0trisquel2

=== debian/changelog ===
exim4 (4.90.1-1ubuntu1.5+8.0trisquel2) flidas-backports; urgency=medium

  * Backported from bionic, enabled DMARC and SPF

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 20 May 2020 10:15:12 +0000

## exim4 4.90.1-1ubuntu1.8%2B8.0trisquel4

=== debian/changelog ===
exim4 (4.90.1-1ubuntu1.8+8.0trisquel4) flidas; urgency=medium

  * Backported from bionic, enabled DMARC and SPF, Corrects event
    management

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 07 May 2021 17:04:34 +0000

exim4 (4.90.1-1ubuntu1.8) bionic-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/sec-may2021-*.patch: backport patches from upstream to
      correct issues.
    - CVE-2020-28007, CVE-2020-28008, CVE-2020-28009, CVE-2020-28010,
      CVE-2020-28011, CVE-2020-28012, CVE-2020-28013, CVE-2020-28014,
      CVE-2020-28015, CVE-2020-28016, CVE-2020-28017, CVE-2020-28018,
      CVE-2020-28019, CVE-2020-28020, CVE-2020-28021, CVE-2020-28022,
      CVE-2020-28023, CVE-2020-28024, CVE-2020-28025, CVE-2020-28026,
      CVE-2021-27216

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 30 Apr 2021 10:15:04 -0400

## exim4 4.90.1-1ubuntu1.8+9.0trisquel4

=== debian/changelog ===
exim4 (4.90.1-1ubuntu1.8+9.0trisquel4) etiona-security; urgency=medium

  * Enabled DMARC and SPF, Corrects event management

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 07 May 2021 16:55:30 +0000

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-exim4/exim4.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-exim4/exim4.git
-Build-Depends: debhelper (>= 10), po-debconf, docbook-xsl, xsltproc,
+Build-Depends: libopendmarc-dev, libspf2-dev,  debhelper (>= 10), po-debconf, docbook-xsl, xsltproc,
   lynx, docbook-xml, libpcre3-dev, libldap2-dev, libpam0g-dev,
   libident-dev, libdb5.3-dev, libxmu-dev, libxt-dev, libxext-dev, libx11-dev,
-  libxaw7-dev, libpq-dev, default-libmysqlclient-dev,
+  libxaw7-dev, libpq-dev, libmysqlclient-dev,
   libsqlite3-dev, libperl-dev, libgnutls28-dev, libsasl2-dev, lsb-release
 
 Package: exim4-base
@@ -155,7 +155,7 @@
 Provides: mail-transport-agent, exim4-localscanapi-2.0
 Conflicts: mail-transport-agent
 Replaces: mail-transport-agent, exim4-base (<= 4.61-1)
-Depends: exim4-base (>= ${Upstream-Version}), ${shlibs:Depends},
+Depends: libopendmarc2, libspf2-2,exim4-base (>= ${Upstream-Version}), ${shlibs:Depends},
  ${misc:Depends}
 Breaks: clamav-daemon (<< 0.95)
 Description: Exim MTA (v4) daemon with extended features, including exiscan-acl

## exim4 4.90.1-1ubuntu1.10%2B9.0trisquel5

=== debian/changelog ===
exim4 (4.90.1-1ubuntu1.10+9.0trisquel5) etiona-security; urgency=medium

  * Enabled DMARC and SPF, Corrects event management

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 07 Oct 2023 05:05:02 +0000

exim4 (4.90.1-1ubuntu1.10) bionic-security; urgency=medium

  * SECURITY UPDATE: use after free in regex handler
    - debian/patches/CVE-2022-3559-1.patch: properly clear references in
      src/exim.c, src/expand.c, src/functions.h, src/globals.c,
      src/regex.c, src/smtp_in.c.
    - debian/patches/CVE-2022-3559-2.patch: fix non-WITH_CONTENT_SCAN build
      in src/exim.c, src/regex.c.
    - debian/patches/CVE-2022-3559-3.patch: fix non-WITH_CONTENT_SCAN build
      in src/exim.c, src/functions.h, src/globals.h, src/regex.c,
      src/smtp_in.c.
    - debian/patches/CVE-2022-3559-4.patch: fix non-WITH_CONTENT_SCAN build
      in src/expand.c.
    - CVE-2022-3559

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Nov 2022 10:55:59 -0500

exim4 (4.90.1-1ubuntu1.9) bionic-security; urgency=medium

  * SECURITY UPDATE: Heap-based buffer overflow
    - debian/patches/CVE-2022-37452.patch: Fix host_name_lookup
      in src/host.c.
    - CVE-2022-37452

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 17 Aug 2022 08:12:18 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: exim4
 Section: mail
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>,Marc Haber <mh+debian-packages@zugschlus.de>
 Homepage: https://www.exim.org/

## exim4 4.91~RC2

=== src/pdkim/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Make file for building the pdkim library.
-# Copyright (c) The Exim Maintainers 2017
+# Copyright (c) The Exim Maintainers 1995 - 2018
 
 OBJ = pdkim.o signing.o

=== debian/changelog ===
exim4 (4.91~RC2-1) experimental; urgency=medium

  * New upstream version.
    Drop 75_01-Fix-heavy-pipeline-SMTP-command-input-corruption.-Bu.patch

 -- Andreas Metzler <ametzler@debian.org>  Wed, 21 Mar 2018 19:25:44 +0100

exim4 (4.91~RC1-1) experimental; urgency=medium

  * Point watchfile to test subdirectory.
  * New upstream version:
    + Drop debian/patches/75_*.
    + Update example.conf.md5.
      Upstream now enables verify = header_syntax check in default config,
      mirror this change in Debian, introduce
      NO_CHECK_DATA_VERIFY_HEADER_SYNTAX macro to override this.
  * Build with newly available (well, for GnuTLS) DANE support.
  * Pull 75_01-Fix-heavy-pipeline-SMTP-command-input-corruption.-Bu.patch from
    upstream master, fixing https://bugs.exim.org/show_bug.cgi?id=2250.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 17 Mar 2018 17:41:51 +0100

exim4 (4.90.1-3) unstable; urgency=medium

  * Update from exim-4_90+fixes branch:
    75_07-Fix-ldap-lookups-for-zero-length-attribute-value.-Bu.patch
    75_08-Mark-variables-unused-before-release-of-store-in-the.patch
    75_09-Mark-variables-unused-before-release-of-store-in-the.patch
    75_10-Mark-variables-that-are-unused-before-release-of-sto.patch

 -- Andreas Metzler <ametzler@debian.org>  Fri, 16 Mar 2018 18:35:01 +0100

exim4 (4.90.1-2) unstable; urgency=medium

  * Update from exim-4_90+fixes branch:
    75_01-ACL-Enforce-non-usability-of-control-utf8_downconver.patch
    75_02-Fix-memory-leak-during-multi-message-reception-using.patch
    75_03-OpenSSL-Fix-memory-leak-during-multi-message-connect.patch
    75_04-Fix-exim_dbmbuild-to-permit-directoryless-filenames..patch
    75_05-OpenSSL-revert-needless-free-of-certificate-list.-Th.patch
    75_06-I18N-Fix-utf8_downconvert-propagation-through-a-redi.patch

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 Mar 2018 14:25:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: exim4
 Section: mail
 Priority: standard
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
+Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>,Marc Haber <mh+debian-packages@zugschlus.de>
 Homepage: https://www.exim.org/
 Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-exim4/exim4.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-exim4/exim4.git
-Build-Depends: libopendmarc-dev, libspf2-dev,  debhelper (>= 10), po-debconf, docbook-xsl, xsltproc,
+Build-Depends: debhelper (>= 10), po-debconf, docbook-xsl, xsltproc,
   lynx, docbook-xml, libpcre3-dev, libldap2-dev, libpam0g-dev,
   libident-dev, libdb5.3-dev, libxmu-dev, libxt-dev, libxext-dev, libx11-dev,
-  libxaw7-dev, libpq-dev, libmysqlclient-dev,
-  libsqlite3-dev, libperl-dev, libgnutls28-dev, libsasl2-dev, lsb-release
+  libxaw7-dev, libpq-dev, default-libmysqlclient-dev,
+  libsqlite3-dev, libperl-dev, libgnutls28-dev, libsasl2-dev
 
 Package: exim4-base
 Architecture: any
@@ -155,7 +154,7 @@
 Provides: mail-transport-agent, exim4-localscanapi-2.0
 Conflicts: mail-transport-agent
 Replaces: mail-transport-agent, exim4-base (<= 4.61-1)
-Depends: libopendmarc2, libspf2-2,exim4-base (>= ${Upstream-Version}), ${shlibs:Depends},
+Depends: exim4-base (>= ${Upstream-Version}), ${shlibs:Depends},
  ${misc:Depends}
 Breaks: clamav-daemon (<< 0.95)
 Description: Exim MTA (v4) daemon with extended features, including exiscan-acl
@@ -238,3 +237,5 @@
  http://wiki.debian.org/PkgExim4. There is also a Debian-specific
  FAQ list. Information about the way the Debian packages are
  configured can be found in
+ /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
+ information about the way the Debian binary packages are built. The

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/_/~/ \
https://ftp.exim.org/pub/exim/exim4/test/exim-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
